commit: 7aeb548a369db2d2aeb13c94bb47945724699d84
Author: Kerin Millar <kfm <AT> plushkava <DOT> net>
AuthorDate: Fri Sep 12 17:13:33 2025 +0000
Commit: Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Fri Sep 12 20:30:37 2025 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=7aeb548a
sys-apps/locale-gen: add 3.5
Kerin Millar (6):
Introduce the basename() helper subroutine
Add support for preserving/restoring SELinux contexts
Drop the locale.gen file
locale-gen.8: Don't imply that option bundling is supported
locale-gen.8: Don't subject "LOCALEGEN_CONFIG" to word-breaking
Bump $VERSION to 3.5
Signed-off-by: Kerin Millar <kfm <AT> plushkava.net>
Bug: https://bugs.gentoo.org/962753
Signed-off-by: Sam James <sam <AT> gentoo.org>
sys-apps/locale-gen/Manifest | 3 +-
sys-apps/locale-gen/locale-gen-3.5.ebuild | 57 +++++++++++++++++++++++++++++++
2 files changed, 58 insertions(+), 2 deletions(-)
diff --git a/sys-apps/locale-gen/Manifest b/sys-apps/locale-gen/Manifest
index c05e0307f1e4..a3b83e50b1ba 100644
--- a/sys-apps/locale-gen/Manifest
+++ b/sys-apps/locale-gen/Manifest
@@ -1,4 +1,3 @@
DIST locale-gen-2.23.tar.bz2 7664 BLAKE2B
a529b62fbb840c9352f06e8f5c80fc764425a2619dc69cc820f550a026d391788d5e2cfeeb46a8b5b9716da63340b4fce57a5b523edd4196ee1219c1200cb752
SHA512
c1245caadb04403c535a836f19bc410d0f04b5c0e297ea5be9852e6d71e08e528071ae769d63d31a677dda8fdd618b4c4d581ed525cf8786b82d8f37636db754
-DIST locale-gen-3.2.tar.bz2 16340 BLAKE2B
a0558a0f84da3ea6a66903a632f261fe9cf63e21ccb32411f827367699fefd3e2e627ee018c2720dce3901e3801089c3aca6a487f2f075a9b6831529b160a0e2
SHA512
76655947a1d28cbda5be75454a3cc38e75d2914ab987bd59359f70acc6e3a3f2961675280ee8a52ada4724fb6393f1d5b6712077a89ebd3511a49c43cf459adf
-DIST locale-gen-3.3.tar.bz2 19815 BLAKE2B
be46b2bedfc876900998fb1a4af3c6e5b04a0005caf0590052bda3f46a532c93ead62d44a6d0b4d6d0ef4bc01df1c2916c9ffac8dd8322278b2f3d21da0aaeb1
SHA512
3f55c0fe2fc0c434dc26538366238463798fde7e9367f6dc1c824531b6bff326ad0e6f62d3b599a8c2b92a6b974fa8ef8c46e58acf80d50820cc1987c20da7cb
DIST locale-gen-3.4.tar.bz2 21116 BLAKE2B
97739bd3be34407639fbe77b9538e792dd1b94ba9a0612262f8df0a0cb70c3b513e1348470d5350a2ad0a2e92ac7287921c62b32c72815c82f43a271a8d3cdda
SHA512
38ec6801142be282e25ff913e78ca48dce5faecd5bfa0187cd85065622195c746b63ccc05b9818b7a1240b8d01f38c8ca8fa45737d6ac5ae0ac41675c1b49584
+DIST locale-gen-3.5.tar.bz2 17361 BLAKE2B
57ff109cfc523523981d347e1c5fc0e7242c9c03484c2638354e485931c83733676815d5d8bb5240a90e23d739ddd8206ccb8cfecc095c032a6a9e2d707bdfb8
SHA512
36826d19bb8abac2e47be1882abc1303d8e804001870acd4828bc60dece48de44850efc0d46d9de5727b2c79c2d627491807dacefa24112a5e1b5b9b27a88dfc
diff --git a/sys-apps/locale-gen/locale-gen-3.5.ebuild
b/sys-apps/locale-gen/locale-gen-3.5.ebuild
new file mode 100644
index 000000000000..c380120ac933
--- /dev/null
+++ b/sys-apps/locale-gen/locale-gen-3.5.ebuild
@@ -0,0 +1,57 @@
+# Copyright 2023-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DESCRIPTION="Generate locales based upon the config file /etc/locale.gen"
+HOMEPAGE="https://gitweb.gentoo.org/proj/locale-gen.git/"
+
+if [[ ${PV} == 9999 ]] ; then
+ EGIT_REPO_URI="https://anongit.gentoo.org/git/proj/locale-gen.git"
+ inherit git-r3
+else
+
SRC_URI="https://gitweb.gentoo.org/proj/locale-gen.git/snapshot/${P}.tar.bz2"
+
+ KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~m68k ~mips ~ppc
~ppc64 ~riscv ~s390 ~sparc ~x86"
+fi
+
+LICENSE="GPL-2"
+SLOT="0"
+
+BDEPEND="
+ >=dev-lang/perl-5.36
+ dev-perl/File-Slurper
+"
+RDEPEND="
+ >=dev-lang/perl-5.36
+ !<sys-libs/glibc-2.37-r3
+"
+
+src_prepare() {
+ # EPREFIX is readonly.
+ local -x MY_EPREFIX=${EPREFIX}
+
+ eapply_user
+
+ perl -pi -e '$f //= ($. == 1 && s/^#!\h*\K/$ENV{MY_EPREFIX}/); END {
exit !$f }' "${PN}" \
+ || die "Failed to prefixify ${PN}"
+}
+
+src_install() {
+ dosbin locale-gen
+ doman *.[0-8]
+ insinto /etc
+ {
+ cat <<-'EOF' &&
+ # This file defines which locales to incorporate into the glibc
locale archive.
+ # See the locale.gen(5) and locale-gen(8) man pages for more
details.
+
+ EOF
+ # Run the interpreter by name so as not to have to prefixify
mkconfig.
+ perl mkconfig "${EROOT}"
+ } | newins - locale.gen
+ if (( PIPESTATUS[0] || PIPESTATUS[1] )); then
+ die "Failed to generate and/or install locale.gen"
+ fi
+ keepdir /usr/lib/locale
+}